<!DOCTYPE html>
<html>

<head>
	<meta charset="UTF-8">
	<title>○○掲示板 | ユーザ登録</title>
	<!-- header.cssの読み込み -->
	<link href="css/header.css" rel="stylesheet" type="text/css" />
	<!-- Bootstrapの読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
		integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
</head>

<body>
	<!-- ヘッダー -->
	<header>
		<nav class="navbar navbar-dark navbar-expand  flex-md-row justify-content-end header-one">
			<ul class="navbar-nav navbar-dark flex-row mr-auto header-two">
				<li class="nav-item active">
					<!-- ページタイトル、スレッド一覧へのリンク -->
					<a class="nav-link" href="top.html">女性のためのラーメンデータベース</a>
				</li>
			</ul>
		</nav>
	</header>


	<div class="container mt-5">
		<div class="row">
			<div class="col-6 offset-3 text-center">
				<h3>ユーザ情報 登録</h3>
			</div>
		</div>
		<div class="row">
			<div class="col-6 offset-3">
				<!-- エラーメッセージ start -->
				<c:if test="${errMsg != null}">
					<div class="alert alert-danger" role="alert">${errMsg}</div>
				</c:if>
				<!--エラーメッセージ  end  -->
			</div>
		</div>
		<div class="row">
			<div class="col-6 offset-3">
				<!--   ユーザー登録フォーム   -->
				<form method="post" action="UserAddServlet">

					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
							<!--   ログインID（無効化）   -->
							<input type="text" name="login-id" id="loginId" class="form-control"
								value="${user.loginId}">
						</div>
					</div>
					<div class="form-group row">
						<label for="password" class="control-label col-3">パスワード</label>
						<div class="col-9">
							<!--   パスワード   -->
							<input type="password" name="password" id="password" class="form-control"value="${user.password}">
						</div>
					</div>
					<div class="form-group row">
						<label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
						<div class="col-9">
							<!--   パスワード（確認用）   -->
							<input type="password" name="password-confirm" id="password-confirm" class="form-control"value="${user.password}">
						</div>
					</div>
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<!--   ユーザー名   -->
							<input type="text" name="name" id="user-name" class="form-control" value="${user.name}">
						</div>
					</div>
					<div class="form-group row">
						<label for="user-age" class="control-label col-3">年齢</label>
						<div class="col-9">
							<!--   年齢   -->
							<input type="text" name="age" id="user-age" class="form-control" value="${user.age}">
						</div>
					</div>
					<div class="form-group row">
						<label for="user-gender" class="control-label col-3">	性別</label>
						<div class="col-9">
							<!--   性別  -->
							<input type="radio" name="gender" value="man">男性
							<input type="radio" name="gender" value="woman">女性
						</div>
					</div>

					<div>
						<button type="submit" class="btn btn-primary btn-block form-submit">登録</button>
					</div>
				</form>
				<div class="row mt-3">
					<div class="col">
						<!-- 戻るボタン-->
						<a href="login.html" class="text-primary">戻る</a>
					</div>
				</div>
			</div>
		</div>
	</div>
</body>

</html>